""" Our liteblue app """
from liteblue.server import Application
from liteblue.connection import ConnectionMgr
from .config import Config


def make_app(cfg):
    """ Construct our app and setup db """
    ConnectionMgr.connection('default', cfg.db_url, **cfg.connection_kwargs)
    return Application(cfg)


def main():  # pragma: no cover
    """ run the application """
    make_app(Config).run()

